WPV
Pobieranie rekordu
Sprawdza pojedynczą firmę na białej liście podatników VAT po jej identyfikatorze (UUID, KRS lub NIP). Zwraca status VAT, numery rachunków, adresy oraz powiązane osoby. Każde sprawdzenie = 1 jednostka dziennego limitu Biała Lista VAT.
GET
/
v1
/
wpv
/
record
Pobieranie rekordu
curl --request GET \
--url https://api.krdata.pl/v1/wpv/record \
--header 'x-api-key: <api-key>'import requests
url = "https://api.krdata.pl/v1/wpv/record"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.krdata.pl/v1/wpv/record', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"identifiers": {
"krs": "<string>",
"nip": "<string>",
"regon": "<string>",
"registry_type": "<string>"
},
"found": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"subject": {
"name": "<string>",
"nip": "<string>",
"status_vat": "<string>",
"krs": "<string>",
"regon": "<string>",
"pesel": "<string>",
"working_address": "<string>",
"residence_address": "<string>",
"account_numbers": [
"<string>"
],
"has_virtual_accounts": false,
"registration_legal_date": "2023-12-25",
"registration_denial_date": "2023-12-25",
"registration_denial_basis": "<string>",
"restoration_date": "2023-12-25",
"restoration_basis": "<string>",
"removal_date": "2023-12-25",
"removal_basis": "<string>",
"representatives": [
{}
],
"authorized_clerks": [
{}
],
"partners": [
{}
]
},
"request_id": "<string>",
"request_datetime": "2023-11-07T05:31:56Z",
"metadata": {
"first_seen": "2023-11-07T05:31:56Z",
"last_updated": "2023-11-07T05:31:56Z",
"source_updated_at": "2023-11-07T05:31:56Z"
}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Required string length:
10Pattern:
^\d{10}$Required string length:
10Pattern:
^\d{10}$Response
Successful Response
Previous
Pobieranie wielu rekordówSprawdza wiele firm jednym wywołaniem. Każdy wpis w wejściu konsumuje 1 jednostkę dziennego limitu **Biała Lista VAT**. Zwraca listę wyników w tej samej kolejności co dane wejściowe.
Next
⌘I
Pobieranie rekordu
